org.apache.solr.common.util

## Interface ReflectMapWriter

All Superinterfaces:
  MapSerializable, MapWriter, NavigableObject

All Known Implementing Classes:
  Package.AddVersion, Package.DelVersion, PluginMeta

    public interface ReflectMapWriter
    extends MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Method Summary

All Methods Instance Methods Default Methods
`default void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Method Detail

#### writeMap

    default void writeMap(MapWriter.EntryWriter ew)
                   throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`